Jump to content

Windows XP Support Thread


Recommended Posts

@@eezstreet add this when you get a chance:

 

Minimum System Requirements

Operating system: Windows XP SP2 (Service Pack 3 Recommended)/Vista SP1/7/8/10 or OSX.  Linux coming soon.

CPU: Intel P4 1.8 Ghz or equivalent AMD processor (2.2 Ghz or up recommended)

Memory: 512 MB, 1 GB or up recommended

Graphics: 100% OpenGL 1.1 Compilant 3D video card with pixel shader support (OpenGL 2.0 compilant cards recommended)

Hard Drive: 1 GB minimum recommended

DirectX Version: DirectX 9.0c Compatible card

Visual Studio 2013 c++ redistributable required for windows builds.

An internet connection is required to play online.

 

Are you sure? The last time I tried to run JKG it didn't work, at least not on my XP SP3 32 bit, for what matters. Admittedly, however, it was a long time ago.

Link to comment

OpenGL 1.2 is actually the minimum for GL_CLAMP_TO_EDGE which is required and assumed now.

Thanks, good to know.

 

Are you sure? The last time I tried to run JKG it didn't work, at least not on my XP SP3 32 bit, for what matters. Admittedly, however, it was a long time ago.

I don't have any xp machines to try it on right now, but I don't know why it wouldn't work.

EDIT: Could be because we don't have the platform toolset set to use xp right now, but that's easily enough fixed.  I'm going to try and run xp in a virtual machine and see what happens.

Edited by Darth Futuza
Ramikad and Smoo like this
Link to comment

Yup it works.

 

It's... weird. It keeps returning an error, claiming "jkgalaxies.x86.exe is not a valid Win32 application".

I'll try reinstalling the VCRedist, since I'm not sure they're up to date, and let you know.

 

Edit: Reinstalled the VCRedist, still returning that error. Should we continue in a new thread in a more appropriate section?

Edited by Ramikad
Link to comment

EDIT: Out of date, this post is for v1.2.0

 

 

This version of JKG will work on WindowsXP (as well as newer systems), to install, first install the main JKGv1.2.0 as directed in the readme.

 

After doing so download the xp patch, and extract the contents of the zip into the jkgalaxies folder, tell it to overwrite any files with the same name if prompted.  Click on RunJKGalaxies.bat to play.  (Note I have modified the original bat file slightly to make some things a little easier, feel free to edit it though if you don't like playing in fullscreen mode.  The part about the exec the default.cfg is to help fix broken inventory bindings.)

 

Note: If you get an error similar to this (MSVCR something.dll is missing).

tKejU.png

You need this installed.

Edited by Darth Futuza
Smoo and Archangel35757 like this
Link to comment

I'm getting a strange error when I try to connect to the JKG USA server:

 

 

shot2016_11_05_12_30_40.jpg

 

 

Thoughts on how I could solve it? I've read around a bit about this error, but most often than not it seems to be something with the server and the map.

Link to comment

I'm getting a strange error when I try to connect to the JKG USA server:

 

 

shot2016_11_05_12_30_40.jpg

 

 

Thoughts on how I could solve it? I've read around a bit about this error, but most often than not it seems to be something with the server and the map.

I think that server is outdated try connect to mine it should be under jkhub or do /connect scifi.jk3.in:29077

Link to comment
  • 2 weeks later...
  • 1 year later...

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...